Skip to main content
`Ctrl`+`K`

# LMEView

Prints the `LME` data structure.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEView(LME lme,PetscViewer viewer)

Collective

## Input Parameters

- lme - the linear matrix equation solver context

- viewer - optional visualization context

## Options Database Key

- -lme_view - calls `LMEView()` at end of `LMESolve()`

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

## See Also

LME: Linear Matrix Equation, `LMECreate()`, `LMEViewFromOptions()`

## Level

beginner

## Location

src/lme/interface/lmebasic.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages